<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="DRAW" id="0">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
switch (drawStatus) {
  case 1:
    draw_set_font(global.myFont);
    draw_set_color(c_yellow);
    draw_text(16, 16, "SPELUNKY");
    draw_set_font(global.myFontSmall);
    draw_text(16, 40, "Yet Another Spelunky Mod");
    break;
  case 2:
    draw_set_font(global.myFontSmall);
    draw_set_color(c_yellow);
    //draw_text(16, 16, "ORIGINAL GAME BY");
    draw_text(16, 16, "Original game by Derek Yu");
    // draw_set_font(global.myFontSmall);
    draw_set_color(c_white);
    //draw_text(64, 32, "DEREK YU");
    draw_text(64, 32, "Modification by Moloch");
    draw_text(64, 40, "      @TakeNapEveryday");
    draw_text(64, 48, "      Ketmar Dark");
    break;
  case 3:
    draw_set_font(global.myFontSmall);
    draw_set_color(c_yellow);
    draw_text(16, 16, "Platform engine");
    draw_set_color(c_white);
    draw_text(16, 24, "Martin Piecyk");
    draw_set_color(c_yellow);
    draw_text(16, 40, "Sound effects made using");
    draw_set_color(c_white);
    draw_text(16, 48, "Dr Petter's SFXR");
    draw_set_color(c_yellow);
    draw_text(16, 64, "Screen scaling code");
    draw_set_color(c_white);
    draw_text(16, 72, "Chevy Ray");
    break;
  case 4:
    draw_set_font(global.myFontSmall);
    draw_set_color(c_yellow);
    draw_text(16, 16, "Music by");
    draw_set_color(c_white);
    draw_text(32, 32, "George Buzinkai");
    draw_text(32, 48, "Jonathan Perry");
    break;
  case 5:
    draw_set_font(global.myFontSmall);
    draw_set_color(c_yellow);
    draw_text(16, 16, "Try these other mods:");
    draw_set_color(c_white);
    draw_text(16, 24, "Tastes Like Spelunky");
    draw_text(16, 40, "Spelunky Natural");
    draw_text(16, 56, "Psi-lunky");
    draw_text(16, 72, "Spelunky Breakdown");
    draw_text(16, 88, "Climbing Spelunky");

    draw_set_color(c_silver);
    draw_text(16, 32, "    by halibabica");
    draw_text(16, 48, "    by Urza");
    draw_text(16, 64, "    by hyperme");
    draw_text(16, 80, "    by Moloch");
    draw_text(16, 96, "    by Gorm");
    break;
  case 6:
    draw_set_font(global.myFontSmall);
    draw_set_color(c_yellow);
    if (global.bizarrePlus) draw_text(16, 16, "Thanks for playing (again)!");
    draw_text(16, 16, "Thanks for playing!");
    // draw_set_font(global.myFontSmall);
    draw_set_color(c_white);
    draw_text(32, 32, "See you in next adventure!");
    break;
}

if (fadeIn or fadeOut) {
  draw_set_color(c_black);
  draw_set_alpha(fadeLevel);
  draw_rectangle(0, 0, 320, 240, false);
  draw_set_alpha(1);
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
